using Sepehr.ApiGateway.Partners.Contracts.Flight.Booking.V12.Lock.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Flight.Booking.V12.Lock.ResponseModel;
using SepehrFlightApiSampleClient.BuiltinTypeExtensions;

namespace SepehrFlightApiSampleClient.Booking.WebApi
{
    public class LockApi
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/Flight/Booking/V12/Lock",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
